For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTManaging the status of the order
      • POSTCreate orders in batch
      • GETGet order details
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceOrders

Get order details

GET
https://api.brevo.com/v3/orders
GET
/v3/orders
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.getOrders({});
8}
9main();
1{
2 "count": 1,
3 "orders": [
4 {
5 "amount": 2000,
6 "billing": {
7 "address": "Sec 62, Noida",
8 "city": "Noida",
9 "country": "India",
10 "countryCode": "IN",
11 "paymentMethod": "Net banking",
12 "phone": 9238283982,
13 "postCode": 110001,
14 "region": "North India"
15 },
16 "contact_id": 2,
17 "coupons": [
18 "flat50",
19 "flat40"
20 ],
21 "createdAt": "2021-12-31T11:42:35.638Z",
22 "email": "testvisitor@sendinblue.com",
23 "id": "order1803",
24 "identifiers": {
25 "ext_id": "ab12",
26 "loyalty_subscription_id": "1234"
27 },
28 "products": [
29 {
30 "price": 100,
31 "productId": 21,
32 "quantity": 2,
33 "quantityFloat": 0,
34 "variantId": "P100"
35 },
36 {
37 "price": 100,
38 "productId": 21,
39 "quantity": 0,
40 "quantityFloat": 2.52,
41 "variantId": "P15756"
42 }
43 ],
44 "status": "complete",
45 "storeId": "123",
46 "updatedAt": "2022-03-03T14:48:31.867Z"
47 }
48 ]
49}
Get all the orders
Was this page helpful?
Previous

Create/Update a product

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional<=100Defaults to 50
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
modifiedSincestringOptional

Filter (urlencoded) the orders modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the orders created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

Response

orders fetched successfully

Errors

400
Bad Request Error